#pragma once
#include "connection_callback.h"

namespace NSrvKernel::NProcessCore {
    class TWorkerConnectionCallback final : public IConnectionCallback {
    public:
        TWorkerConnectionCallback(TWorkerProcess* workerProcess, TAtomic* totalConnectionInProgress = nullptr) 
                                : IConnectionCallback(workerProcess, totalConnectionInProgress) {}
        void UpPriority(TConnection* conn) noexcept;
        void AddCanceled(const NAddr::IRemoteAddr& addr) noexcept;
    };
}
